Package wx :: Package lib :: Package agw :: Module cubecolourdialog :: Class CustomPanel

[frames | no frames]

## Type CustomPanel

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                                CustomPanel

Method Summary
| `__init__(self, parent, colourData)`
| `AddCustom(self, colour)`
| `DoGetBestSize(self)`
| `InitializeColours(self)`
| `OnEraseBackground(self, event)`
| `OnLeftDown(self, event)`
| `OnPaint(self, event)`
| `OnSize(self, event)`
| `PaintCustomColour(self, dc, selX, selY)`
| `PaintCustomColours(self, dc)`
| `PaintHighlight(self, dc, draw)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:58 2009 | http://epydoc.sf.net